local encounters = HudMap:GetModule("Encounters")
local HudMap = _G.HudMap
local UnitName, UnitIsDead = _G.UnitName, _G.UnitIsDead

-- TODO: Mark void zone radii/durations
local xt = {
	registerOn = {"SPELL_AURA_APPLIED"},
	SPELL_AURA_APPLIED = function(self, spellID, sourceName, destName, sourceGUID, destGUID)
		-- Light bomb
		if spellID == 63018 or spellID == 65121 then
			HudMap:PlaceRangeMarkerOnPartyMember("timer", destName, 10, 9, 1, 0.8, 0.13, 1):Appear():Rotate(360, 9)
		elseif spellID == 63024 or spellID == 64234 then
			HudMap:PlaceRangeMarkerOnPartyMember("timer", destName, 12, 9, 1, 0.8, 0.13, 1):Appear():Rotate(360, 9)
		end
	end
}

local vezax = {
	registerOn = {"SPELL_CAST_SUCCESS"},
	crash = function()
		local crashTarget = encounters:GetMobTarget(33271)
		if crashTarget then
			local x, y = HudMap:GetUnitPosition(crashTarget)
			HudMap:PlaceRangeMarker("timer", x, y, 10, 5, 119/255, 28/255, 1, 1):Appear():Rotate(360, 5)
		end
	end,
	SPELL_CAST_SUCCESS = function(self, spellID, sourceName, destName, sourceGUID, destGUID)
		if spellID == 60835 or spellID == 62660 then
			encounters:Delay(self.crash, 0.1)
		end
	end
}

-- encounters:RegisterModule(xt)
-- encounters:RegisterModule(vezax)